org.keycloak.models.sessions.mem.entities

## Class UsernameLoginFailureEntity

- java.lang.Object
- - org.keycloak.models.sessions.mem.entities.UsernameLoginFailureEntity

-     public class UsernameLoginFailureEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsernameLoginFailureEntity(String username, String realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AtomicInteger` | `getFailedLoginNotBefore()`
    `AtomicLong` | `getLastFailure()`
    `AtomicReference<String>` | `getLastIpFailure()`
    `AtomicInteger` | `getNumFailures()`
    `String` | `getRealm()`
    `String` | `getUsername()`
    `void` | `setFailedLoginNotBefore(AtomicInteger failedLoginNotBefore)`
    `void` | `setLastFailure(AtomicLong lastFailure)`
    `void` | `setLastIpFailure(AtomicReference<String> lastIpFailure)`
    `void` | `setNumFailures(AtomicInteger numFailures)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsernameLoginFailureEntity

          public UsernameLoginFailureEntity(String username,
                                    String realm)

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### getRealm

          public String getRealm()

    - #### getFailedLoginNotBefore

          public AtomicInteger getFailedLoginNotBefore()

    - #### setFailedLoginNotBefore

          public void setFailedLoginNotBefore(AtomicInteger failedLoginNotBefore)

    - #### getNumFailures

          public AtomicInteger getNumFailures()

    - #### setNumFailures

          public void setNumFailures(AtomicInteger numFailures)

    - #### getLastFailure

          public AtomicLong getLastFailure()

    - #### setLastFailure

          public void setLastFailure(AtomicLong lastFailure)

    - #### getLastIpFailure

          public AtomicReference<String> getLastIpFailure()

    - #### setLastIpFailure

          public void setLastIpFailure(AtomicReference<String> lastIpFailure)

Copyright © 2015. All Rights Reserved.